Packager: Igor Vlasenko <viy@altlinux.ru>
%define _without_gcj 1
BuildRequires: /proc
BuildRequires: jpackage-compat
# Copyright (c) 2000-2010, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

# Use rpmbuild --without gcj to disable gcj bits
%define with_gcj %{?_with_gcj:1}%{!?_with_gcj:0}

Name:           swing-layout
Version:        1.0.3
Release:        alt1_6jpp6
Summary:        Natural layout for Swing panels

Group:          Development/Java
License:        LGPLv2
URL:            https://swing-layout.dev.java.net/
# Need to register to download, from url above
Source0:        %{name}-%{version}-src.zip
Source1:        %{name}-%{version}.pom

BuildRequires: jpackage-utils
BuildRequires: ant
BuildRequires: dos2unix

%if %{with_gcj}
BuildRequires: java-gcj-compat-devel
%else
BuildArch:      noarch
%endif
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Source44: import.info


%description
Extensions to Swing to create professional cross platform layout.


%package javadoc
Summary:        Javadoc documentation for Swing Layout
Group:          Development/Java
BuildArch: noarch

%description javadoc
Documentation for Swing Layout code.


%prep
%setup -q
dos2unix releaseNotes.txt


%build
ant -Dant.build.javac.source=1.5 -Dant.build.javac.target=1.5 jar javadoc dist


%install
install -d $RPM_BUILD_ROOT%{_javadir} \
        $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
install -m 644 dist/%{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
cp -pr dist/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{name}.pom
%add_to_maven_depmap net.java.dev.swing-layout %{name} %{version} JPP %{name}

%if %{with_gcj}
%{_bindir}/aot-compile-rpm
%endif


%files
%{_javadir}/%{name}*.jar
%if %{with_gcj}
%{_libdir}/gcj/%{name}
%endif
%doc releaseNotes.txt
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*


%files javadoc
%{_javadocdir}/%{name}-%{version}


%changelog
* Sat Oct 23 2010 Igor Vlasenko <viy@altlinux.ru> 1.0.3-alt1_6jpp6
- added pom

* Thu Apr 15 2010 Igor Vlasenko <viy@altlinux.ru> 1.0.3-alt1_4jpp6
- new build for netbeans

* Mon Dec 08 2008 Igor Vlasenko <viy@altlinux.ru> 1.0.3-alt1_2jpp5
- converted from JPackage by jppimport script

